klist(1)

NAME
klist - Kerberos display entries in credentials cache and keytab

klist allows the user to view entries in the local credentials cache and key table.

SYNOPSIS
klist [ commands ]

DESCRIPTION
klist displays the entries in the local credentials cache and key table. After the user has modified the credentials cache with kinit or modified the keytab with ktab, the only way to verify the changes is to view the contents of the credentials cache and/or keytab using klist. klist does not change the Kerberos database.

COMMANDS
klist [ -c [-fe]] [ -k [-tK]] [ <name>] [ -help ]

-c  Specifies that the credential cache entries are to be listed.

-k  Specifies that the key tab entries are to be listed.

<cache_name>
    Specifies the credential cache name or the keytab name. If the name is not specified default values for cache name and the keytab are used. The default values for the cache and the keytab are specified in the man page for kinit.

If the -c option is specified (options for credential cache):

-f  Shows credentials flags.

-e  Shows the encryption type.

If the -k option is specified (options available for keytabs):

-t  Shows keytab entry timestamps.

-K  Shows keytab entry DES keys.

-help
    Displays instructions.

EXAMPLES
List entries in the keytable specified including keytab entry timestamps and DES keys:

klist -k -t -K FILE:/temp/mykrb5cc

List entries in the credentials cache specified including credentials flag and address list:

klist -c -f FILE:/temp/mykrb5cc